#include <mpi.h>;

int main(int argc, char** argv) {
  MPI_Comm parent;
  MPI_Status status;
  int err;
  int value = -1;
  void* buf= &value;

  if (MPI_Init(&argc,&argv)!=MPI_SUCCESS)
  {
    printf("MPI_Init failed");
  }
  MPI_Comm_get_parent(&parent);
  if (parent == MPI_COMM_NULL) printf("No parent!");

  MPI_Recv(buf, 1, MPI_INTEGER, 0, MPI_ANY_TAG, parent, &status);
  MPI_Comm_disconnect(&parent);
  err = MPI_Finalize();
  printf("hi finalized %d %d \n",err, value);
  return 0;
}
