#include <mpi.h>;

int main(int argc, char *argv[])
{
  int          myrank;
  int spawnerror;
  int value = 123;
  void *buf = &value;
  MPI_Comm child_comm;

  if (MPI_Init(&argc,&argv)!=MPI_SUCCESS)
  {
    printf("MPI_Init failed");
  }

  MPI_Comm_rank(MPI_COMM_WORLD, &myrank);

  char* hiargv[] = {"23",NULL};
  for(int i = 1; i <= 200000; i++)
  {
    value = i;
    printf("Main before spawn %d\n",i);
    MPI_Comm_spawn("./hi",hiargv, 1, MPI_INFO_NULL, myrank, MPI_COMM_SELF, &child_comm, &spawnerror);
    MPI_Send(buf, 1, MPI_INTEGER, 0, 1, child_comm);
    MPI_Comm_disconnect(&child_comm);
  }

  MPI_Finalize();
  return 0;
}
